Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: kernel update nvidia dependency

  1. #1
    Join Date
    Jul 2008
    Location
    Angel Fire, NM USA
    Posts
    330

    Default kernel update nvidia dependency

    When I try to update the kernel in 11.1 to

    kernel-default-2.6.27.19-3.2.1.x86_64

    I get this error

    nvidia-gfxG02-kmp-default-177.82_2.6.27.7_9.1-1.1.x86_64 requires kernel(default:drivers_i2c)

    Suggestions on how to proceed ??

    I'd like to keep my Gnome desktop effects.

    ???

  2. #2
    junior28862 NNTP User

    Default Re: kernel update nvidia dependency

    The error is saying that Nvidia doesn't have a driver for that kernel. I would suggest not installing that kernel until Nvidia releases their next round of drivers.

  3. #3

    Default Re: kernel update nvidia dependency

    Or, Uninstall nvidia-gfxG02-kmp-default-177.82_2.6.27.7_9.1-1.1.x86_64 and install the Nvidia drivers manually.

    There are related postings in the forum with details.


    Cheers

  4. #4
    Chris Maaskant NNTP User

    Default Re: kernel update nvidia dependency

    Ski K2 wrote:

    > When I try to update the kernel in 11.1 to
    >
    > kernel-default-2.6.27.19-3.2.1.x86_64
    >
    > I get this error
    >
    > nvidia-gfxG02-kmp-default-177.82_2.6.27.7_9.1-1.1.x86_64 requires
    > kernel(default:drivers_i2c)
    >
    > Suggestions on how to proceed ??


    I think you need to refresh your nvidia repository.
    The latest driver i have is:

    rpm -q nvidia-gfxG02-kmp-default
    nvidia-gfxG02-kmp-default-180.29_2.6.27.18_0.3-0.1

    rpm -q kernel-default
    kernel-default-2.6.27.19-3.2.1

    --
    Chris Maaskant

  5. #5
    Join Date
    Jul 2008
    Location
    Angel Fire, NM USA
    Posts
    330

    Default Re: kernel update nvidia dependency

    Thannks for that tip Chris.

    I do have repo dns issues with this install.

    Perhaps your suggestion will help.

  6. #6
    Join Date
    Jul 2008
    Location
    Angel Fire, NM USA
    Posts
    330

    Default Re: kernel update nvidia dependency

    Spot on Chris

    Im my thrashing about trying to resolve my Yast dns issues I had some time ago apparently borked my nvidia repo. It was bye-bye.

    After adding back the nvidia repo the kernel update along with the nvidia update went flawlessly!

    Thanks !



    Quote Originally Posted by Chris Maaskant View Post
    Ski K2 wrote:

    > When I try to update the kernel in 11.1 to
    >
    > kernel-default-2.6.27.19-3.2.1.x86_64
    >
    > I get this error
    >
    > nvidia-gfxG02-kmp-default-177.82_2.6.27.7_9.1-1.1.x86_64 requires
    > kernel(default:drivers_i2c)
    >
    > Suggestions on how to proceed ??


    I think you need to refresh your nvidia repository.
    The latest driver i have is:

    rpm -q nvidia-gfxG02-kmp-default
    nvidia-gfxG02-kmp-default-180.29_2.6.27.18_0.3-0.1

    rpm -q kernel-default
    kernel-default-2.6.27.19-3.2.1

    --
    Chris Maaskant

  7. #7
    Join Date
    Dec 2008
    Location
    (Canada)
    Posts
    773

    Default Re: kernel update nvidia dependency

    Quote Originally Posted by Chris Maaskant View Post
    Ski K2 wrote:

    > When I try to update the kernel in 11.1 to
    >
    > kernel-default-2.6.27.19-3.2.1.x86_64
    >
    > I get this error
    >
    > nvidia-gfxG02-kmp-default-177.82_2.6.27.7_9.1-1.1.x86_64 requires
    > kernel(default:drivers_i2c)
    >
    > Suggestions on how to proceed ??


    I think you need to refresh your nvidia repository.
    The latest driver i have is:

    rpm -q nvidia-gfxG02-kmp-default
    nvidia-gfxG02-kmp-default-180.29_2.6.27.18_0.3-0.1

    rpm -q kernel-default
    kernel-default-2.6.27.19-3.2.1

    --
    Chris Maaskant
    @chris

    I looked in Nvidia package and it is only marked x11-viveo-nvidiaG02 & nvidia-gfxG01 is there more I should install it for my Card.Oh ja my card is one of the newest one.

    I aappreciate your help

    Mike

  8. #8
    Chris Maaskant NNTP User

    Default Re: kernel update nvidia dependency

    1michael1 wrote:

    > @chris
    >
    > I looked in Nvidia package and it is only marked x11-viveo-nvidiaG02 &
    > nvidia-gfxG01 is there more I should install it for my Card.Oh ja  my
    > card is one of the newest one.


    Yes you need the G02 one.
    Description of the nvidia-gfxG02-kmp-default package:

    NVIDIA graphics driver kernel module for GeForce 6xxx *and newer GPUs*

    --
    Chris Maaskant

  9. #9
    Join Date
    Dec 2008
    Location
    (Canada)
    Posts
    773

    Default Re: kernel update nvidia dependency

    Last question is installing:

    nvidia-gfx02-kmp-default + nvidia-gfx02-kmp-xen + x11-video-nvidiaG02

    so what will happen,may I screw up something?

    Cheers

    Michael

  10. #10
    Join Date
    Jul 2008
    Location
    Angel Fire, NM USA
    Posts
    330

    Default Re: kernel update nvidia dependency

    Worked ok for me

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •